Summary: iPasserelle web applications
%define name ipasserelle-webapps
Name: %{name}
%define version 0.2.4
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
URL: http://www.ipasserelle.com/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

BuildArch: noarch
BuildRoot: /var/tmp/%{name}-%{version}

Requires: ipasserelle-base >= 0.1-14
Requires: smeserver-openupload
Requires: smeserver-tt-rss
Requires: smeserver-ajaxplorer
Requires: smeserver-ooo-headless
Requires: smeserver-dokuwiki
Requires: dokuwiki-plugins

BuildRequires: e-smith-devtools

%description
Integrate commonly used web applications

%changelog
* Mon Oct 14 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.4-1
- Requires smeserver-ooo-headless (for Ajaxplorer indexation)

* Thu Oct 10 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.3-1
- Use new style for LL::NG auth in the domains DB
- Use 100% of the width of the screen in dokuwiki_export template

* Wed Aug 21 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.2-1
- Update icons used by applications

* Fri May 17 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.1-1
- update dokuwiki login regex to support pretty URL

* Wed Oct 17 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.0-1
- Import in GIT

* Thu Nov 24 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-3
- Set ajaxplorer LogoutUrl to LL::NG portal address
- Use more friendly names in LL::NG portal

* Tue Oct 11 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-2
- Fix dokuwiki domain in LL::NG menu

* Tue Jun 28 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-1
- initial release


%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

